Quiz_questions
A: List questions
AuthorizationBearer <token>
In: header
Query Parameters
page?number
Page number
Default
1Range
1 <= valueper_page?number
Number of questions per page
Default
20Range
1 <= value <= 100search?string
Search in question title
Default
nulltype?string
Filter by question type (values: multiple_choice_single, multiple_choice_multiple, true_false, etc.)
Default
nullValue in
"multiple_choice_single" | "multiple_choice_multiple" | "true_false" | "etc."auto_gradable?boolean
Filter by auto-gradable questions
Default
nullquiz_id?string
Filter by quiz ID
Default
nullFormat
uuidsort_by?string
Sort by field (values: created_at, updated_at, title, type, score, order_index)
Default
nullValue in
"created_at" | "updated_at" | "title" | "type" | "score" | "order_index"sort_dir?string
Sort direction (values: asc, desc)
Default
nullValue in
"asc" | "desc"Response Body
curl -X GET "https://edushade.com/api/v1/admin/questions?page=1&per_page=20&type=multiple_choice_single&sort_by=created_at&sort_dir=asc"{}Empty
Empty
Empty